function h= calc_hist( samples, varargin )

% Set default parameter values.  These are the optimal settings according to
% the Mobisys11 results.
RATE=96000;
recording_len=[30];
samplerate=[96000]; %,48000,44100,24000,16000,8000];
hist_resolution=[100];
%hist_resolution=[10,100,1000];

% truncate
samples = samples(1:recording_len*RATE);

% downsample
decimation_factor = round(RATE/samplerate);
effective_rate = RATE / decimation_factor;
dec_y = decimate( samples, decimation_factor );

h = hist( dec_y, hist_resolution )';
